//
//  FreeTar
//  FreeTarPreferences.h
//
//  Copyright (c) 2002 Murray M Johnson
//
//	http://homepage.mac.com/mjsoftware/
//	mjsoftware@mac.com
//
//
//  This file is part of FreeTar version 1.1.
//
//  FreeTar is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  FreeTar is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with FreeTar; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import <Foundation/Foundation.h>


@interface FreeTarPreferences : NSObject
{
}

- (void) setLaunchPath:(NSString*)inPath;
- (NSString*) launchPath;

- (void) setCompressWithGzip:(BOOL)inFlag;
- (BOOL) compressWithGzip;

- (void) setCompressWithCompress:(BOOL)inFlag;
- (BOOL) compressWithCompress;

- (void) setCompressWithBzip:(BOOL)inFlag;
- (BOOL) compressWithBzip;


- (void) setArchiveExtension:(NSString*)inExt;
- (NSString*) archiveExtension;

- (void) setAutoLocation:(BOOL)inFlag;
- (BOOL) autoLocation;

- (void) setAutoBaseDir:(BOOL)inFlag;
- (BOOL) autoBaseDir;

- (void) setMultipleArchives:(BOOL)inFlag;
- (BOOL) multipleArchives;


@end
