//
//  FreeTar
//  main.m
//
//  Copyright (c) 2002 Murray M Johnson
//
//	http://homepage.mac.com/mjsoftware/
//	mjsoftware@mac.com
//
//
//  This file is part of FreeTar.
//
//  FreeTar is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  FreeTar is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with FreeTar; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import <AppKit/AppKit.h>
#import "FreeTarController.h"

int main(int argc, const char *argv[])
{
#ifdef __APPLE__
    return NSApplicationMain(argc, argv);
#else
  NSAutoreleasePool *pool;
  FreeTarController *controller;

  pool = [[NSAutoreleasePool alloc] init];
  controller = [[FreeTarController alloc] init];

  [NSApplication sharedApplication];
  [NSApp setDelegate: controller];

  NSApplicationMain(argc, argv);

  RELEASE(controller);
  RELEASE(pool);

  return 0;





#endif
}
